% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% readmePSA 
%            Contents of directory Problem_Sets
% ____________________________________________________________________________
% 18.311 (Principles of Applied Mathematics). MIT, Winter 1999. R. R. Rosales.
%
% This directory has scripts that are related to the Problem Sets.
%
% PS311_VibroRod ... Vibrating rod demo, illustrating longitudinal vibrations
%                    of a rod. Makes a movie.
%
% --- Scripts to study the stability of numerical schemes. ===================
%     The "DIC" scripts are the same, with discontinuous initial conditions.
%     BELOW: L = dt/dx; nu = dt/dx^2; D is a parameter.
%
% PS311_Scheme_A ...... Equation: u_t + u_x = 0.
%                       Scheme: u(n,j+1) = u(n,j) - L*(u(n+1,j)-u(n,j)).
% PS311_Scheme_B ...... Equation: u_t + u_x = 0.
%                       Scheme: u(n,j+1) = u(n,j) - L*(u(n,j)-u(n-1,j)).
% PS311_Scheme_C ...... Equation: u_t + u_x = 0.
%                       Scheme: u(n,j+1) = u(n,j) - L*(u(n+1,j)-u(n-1,j))/2.
% PS311_Scheme_D ...... Equation: u_t - u_xx = 0.
%                       Scheme: u(n,j+1) = u(n,j) - 
%                                          nu*(u(n+1,j)-2*u(n,j)+u(n-1,j)).
% PS311_Scheme_E ...... Equation: u_t + u_x = 0.
%                       Scheme: u(n,j+1) = u(n,j) -
%                                          (1/2)*L*(u(n+1,j)-u(n-1,j)) +
%                               (D/2)*(L^2)*(u(n+1,j)-2*u(n,j)+u(n-1,j)).
% PS311_Scheme_F ...... Equation: u_t + u_x = 0.
%                       Scheme: u(n,j+1)+0.5*L*(u(n+1,j+1)-u(n-1,j+1)) =
%                               u(n, j).
% PS311_Scheme_G ...... Equation: u_t - u_xx = 0.
%                       Scheme: (1+2*nu)*u(n, j+1)-
%                               nu*(u(n+1, j+1)+u(n-1, j+1)) = u(n, j).
% PS311_Scheme_H ...... Equation: u_t + u_x = 0.
%                       Scheme: Crank-Nicolson
%                             u(n,j+1) + 0.25*L*(u(n+1,j+1)-u(n-1,j+1))
%                             = u(n,j) - 0.25*L*(u(n+1,j)-u(n-1,j)).
% PS311_Scheme_I ...... Equation: u_t - u_xx = 0.
%                       Scheme: Crank-Nicolson
%                               (1+nu)*u(n,j+1)-0.5*nu*(u(n+1,j+1)+u(n-1,j+1))
%                             = (1-nu)*u(n,j)  +0.5*nu*(u(n+1,j)  + u(n-1,j)).
%
% PS311_vNSAint2 ...... Equation: u_t + u_x = 0.
%                       Scheme: (1-L)*u(n,j+1) + L*u(n+1,j+1) = u(n,j).
% 
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
help readmePSA
%
% EOF
