% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% GBNS_lecture_FIG_var
% Help file: alphabetical list of the variables used by GBNS_lecture_FIG
%
% 18.311 (Principles of Applied Mathematics). MIT, Winter 2008. R. R. Rosales.
% ____________________________________________________________________________ 
%
% -------- UNITS: screen units ..... min(screen width, screen height) = 1.
%                 axis units ....... (square) plotting area has length = 1.
%                 figure units ..... figure is 1 by 1.
%
% bfd .......... Button's frame height fraction dedicated to displays.
% bfw .......... Button's frame width.     Axis units.
% bhf .......... Fraction of frame height taken up by the buttons.
% bht .......... Button average height.    Axis units.
% bmg .......... Button margin from frame. Figure units.
% bsp .......... Button separation.        Figure units.
% Button ....... Cell array with buttons definitions
%                (each button a structure.)
% bwd .......... Button width.             Axis units.
% bwf .......... Fraction of frame width  taken up by the buttons.
%
% dhf .......... Fraction of frame height taken up by the displays.
% dht .......... Display average height.    Axis units.
% Display ...... Cell array with display definitions
%                (each display a structure.)
% dmg .......... Display margin from frame. Figure units.
% dsp .......... Display separation.        Figure units.
% dwd .......... Display width.             Axis units.
% dwf .......... Fraction of frame width  taken up by the displays.
%
% fgN .......... Figure number (handle.)
% fgh .......... Figure height. Axis units.
% fgw .......... Figure width.  Axis units.
% figTOaxis .... Multiply position array: convert figure to axis units.
% Fsz .......... Vertical dimension of the figure, in screen units.
%                                       
% Hax .......... Handle axes.
% Hbt .......... Array with handles for buttons.
% Hbf .......... Handle buttons frame.
% Hdf .......... Handle display frame.
% Hdp .......... Array with handles for displays.
% Hsf .......... Handle slider frame.
% Hsl .......... Handle slider.
%
% n ............ Loop index.
% Nbt .......... Number of buttons.
% Ndp .......... Number of displays.
%
% ma2 .......... Margin from frames to figure edge: bottom.  Axis units.
% ma3 .......... Margin from frames to figure edge: right.   Axis units.
% ma4 .......... Margin from frames to figure edge: top.     Axis units.
%
% pa1 .......... Space around plotting area: left.    Axis units.
% pa2 .......... Space around plotting area: bottom.  Axis units.
% pa3 .......... Space around plotting area: right.   Axis units.
% pa4 .......... Space around plotting area: top.     Axis units.
%
% PosAxes ...... Position array for the axes.                  Figure units.
% PosButt ...... Position array for the buttons  (generic.)    Figure units.
% PosDisp ...... Position array for the displays (generic.)    Figure units.
% PosFig ....... Position array for the figure.                Pixels.
% PosFRbt ...... Position array, right frame, buttons section. Figure units.
% PosFRdp ...... Position array, right frame, display section. Figure units.
% PosFsld ...... Position array for the slider.                Figure units.
% PosSldr ...... Position array for the slider.                Figure units.
%
% sfh .......... Slider frame height.    Axis units.
% Sht .......... Screen height (pixels.)
% Slider ....... Structure with slider parameters.
% SMD .......... min(Swd, Sht).
% Ssz .......... Screen size array (pixels.)
% Swd .......... Screen width (pixels.)
%
% Temp1 ........ Temporary.
% Temp2 ........ Temporary.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Copyright 2001-2008 Massachusetts Institute of Technology
% Version 01 by Rodolfo R. Rosales  03-12-2001.
% Update     by Rodolfo R. Rosales  01-20-2005.
% Update     by Rodolfo R. Rosales  02-20-2008.
% 
% Permission is hereby granted, without payment, to copy this software
% and its documentation, if any,  for non-profit academic and research
% purposes,  provided that the above copyright notice, this paragraph,
% and the following three paragraphs appear in all copies of this
% software. Use of this software constitutes acceptance of these terms
% and conditions.
%
% IN NO EVENT SHALL MIT, OR THE AUTHOR, BE LIABLE TO ANY PARTY FOR
% DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
% ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN
% IF MIT, OR THE AUTHOR, HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH
% DAMAGE.
%
% MIT, AND THE AUTHOR, SPECIFICALLY DISCLAIM ANY EXPRESS OR IMPLIED
% WARRANTIES INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
% MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND
% NON-INFRINGEMENT.
%
% THIS SOFTWARE IS PROVIDED "AS IS." MIT, OR THE AUTHOR, HAVE NO
% OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS,
% OR MODIFICATIONS.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%
%% EOF
